Package wx :: Class ShowEvent

[frames | no frames]

## Type ShowEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    ShowEvent

An EVT_SHOW event is sent when a window is shown or hidden.

Method Summary
ShowEvent | ``__init__`(self, winid, show)` An EVT_SHOW event is sent when a window is shown or hidden.
bool | `GetShow(self)`
| `SetShow(self, show)`

Property Summary
| `Show`: See `GetShow` and `SetShow`
| `thisown`: The membership flag

Method Details

### __init__(self, winid=0, show=False)
(Constructor)

An EVT_SHOW event is sent when a window is shown or hidden.

  Parameters:
    `winid`
    (type=int)

    `show`
    (type=bool)

  Returns:
    ShowEvent
  Overrides:
    `wx.Event.__init__`

Property Details

### Show

See `GetShow` and `SetShow`

  Get Method:
    `GetShow`(self)
  Set Method:
    `SetShow`(self, show)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:35 2007 | http://epydoc.sf.net